petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscTokenFind

Locates next "token" in a string

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscTokenFind(PetscToken a,char *result[])

Not Collective

### Input Parameters

a -pointer to token

### Output Parameter

result -location of occurance, NULL if not found

### Notes

This version is different from the system version in that it allows you to pass a read-only string into the function.

This version also treats all characters etc. inside a double quote " as a single token.

For example if the separator character is + and the string is xxxx+y then the first fine will return a pointer to a null terminated xxxx and the second will return a null terminated y

If the separator character is + and the string is xxxx then the first and only token found will be a pointer to a null terminated xxxx

Not for use in Fortran

### See Also

PetscTokenCreate(), PetscTokenDestroy()

### Level

intermediate

### Location

src/sys/utils/str.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages